package eu.smoser.dungeongenerator.util;

/**
 * Stores a counter to give rooms unique numbers
 * @author MrMcX
 */
public class Counter {
    private int counter;
    
    /**
     * Constructs the counter with 0
     */
    public Counter(){
        counter = 0;
    }
    
    /**
     * Gives the next number (first increase. then return)
     * @return next number
     */
    public int Next(){
        counter++;
        return counter;
    }
}
